package com.yzt.airconditionersystem;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yzt.airconditionersystem.bean.Company;
import com.yzt.airconditionersystem.mapper.CompanyMapper;
import com.yzt.airconditionersystem.service.CompanyService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * @author TzZach
 * @since 2022-05-18 9:59
 */
@SpringBootTest
public class CompanyTest {

    @Autowired
    private CompanyMapper companyMapper;


    @Test
    public void selectAll() {
        Page<Company> page = new Page<>(1, 10);
        page = companyMapper.selectAll(page);
        System.out.println(page);
    }

}
